curl --request POST \
--url https://api.sonderplan.com/v2/project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Andor S1 EP7 Annoucement",
"code": "AND-S1-EP7",
"description": "Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.",
"status_id": 1,
"status": [
{
"name": "Second Hold",
"description": "Has second priority if the first hold cancels",
"notification": true
}
],
"private": 0,
"parent_folder_id": 5,
"color_background": "#B0A7F1",
"color_text": "#000000",
"start": 1547501100,
"end": 1547538900,
"client_id": "p23987",
"client": [
{
"uuid": "p4",
"contact_person": {
"id": 2837
}
}
],
"custom_fields": [
{
"id": 7823,
"name": "Type",
"value": "Video Editing",
"value_id": 8973,
"update_key": "2_1_7823"
}
],
"people": {
"users": [
{
"id": 4,
"name": "Jane Smith",
"admin_flag": 0,
"role_id": 0,
"role_name": 0,
"project_admin": true,
"group_write_admin": false
}
]
},
"time_entries": [
{
"owner_id": 872383,
"name": "Colour Grading",
"description": "Opening scenes completed",
"start": 1547501100,
"end": 1547538900,
"booking_id": 872383
}
]
}
'import requests
url = "https://api.sonderplan.com/v2/project"
payload = {
"name": "Andor S1 EP7 Annoucement",
"code": "AND-S1-EP7",
"description": "Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.",
"status_id": 1,
"status": [
{
"name": "Second Hold",
"description": "Has second priority if the first hold cancels",
"notification": True
}
],
"private": 0,
"parent_folder_id": 5,
"color_background": "#B0A7F1",
"color_text": "#000000",
"start": 1547501100,
"end": 1547538900,
"client_id": "p23987",
"client": [
{
"uuid": "p4",
"contact_person": { "id": 2837 }
}
],
"custom_fields": [
{
"id": 7823,
"name": "Type",
"value": "Video Editing",
"value_id": 8973,
"update_key": "2_1_7823"
}
],
"people": { "users": [
{
"id": 4,
"name": "Jane Smith",
"admin_flag": 0,
"role_id": 0,
"role_name": 0,
"project_admin": True,
"group_write_admin": False
}
] },
"time_entries": [
{
"owner_id": 872383,
"name": "Colour Grading",
"description": "Opening scenes completed",
"start": 1547501100,
"end": 1547538900,
"booking_id": 872383
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Andor S1 EP7 Annoucement',
code: 'AND-S1-EP7',
description: 'Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization.',
status_id: 1,
status: [
{
name: 'Second Hold',
description: 'Has second priority if the first hold cancels',
notification: true
}
],
private: 0,
parent_folder_id: 5,
color_background: '#B0A7F1',
color_text: '#000000',
start: 1547501100,
end: 1547538900,
client_id: 'p23987',
client: [{uuid: 'p4', contact_person: {id: 2837}}],
custom_fields: [
{
id: 7823,
name: 'Type',
value: 'Video Editing',
value_id: 8973,
update_key: '2_1_7823'
}
],
people: {
users: [
{
id: 4,
name: 'Jane Smith',
admin_flag: 0,
role_id: 0,
role_name: 0,
project_admin: true,
group_write_admin: false
}
]
},
time_entries: [
{
owner_id: 872383,
name: 'Colour Grading',
description: 'Opening scenes completed',
start: 1547501100,
end: 1547538900,
booking_id: 872383
}
]
})
};
fetch('https://api.sonderplan.com/v2/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": {
"id": 1
}
}{
"error": {
"code": "404",
"message": "Requested resource was not found"
}
}Create Project
WRITE access to the PROJECT module is required to access this endpointprojectCreated webhook will be fired when this endpoint has run successfullyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Project object that needs to be added
The default project schema which contains the majority of these fields
Title of the project
"Andor S1 EP7 Annoucement"
Short code used to identify the project
"AND-S1-EP7"
A short description or synopsis of the project
"Colonel Yularen announces that the ISB has gained more surveillance and punitive authority, while Meero is challenged by Blevin for breaking protocol by accessing Imperial data without authorization."
Project Status ID
1
Show child attributes
Show child attributes
Is the project viewable to everyone, or just the users and groups assigned
0
The ID of the folder that this project is sitting in
5
Hex color value of the background
"#B0A7F1"
Hex color value of the text
"#000000"
Unix Timestamp of the project start time frame.
1547501100
Unix timestamp of the project end time frame.
1547538900
The ID of the client prefixed by either p (for person) or o (for organization)
"p23987"
The client (either person or organization) attached to this project
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The users and groups assigned to this project. Also contains information regarding project admin status and role information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Operation
Show child attributes
Show child attributes